Zahlungslauf erstellen
Erstellt einen neuen Zahlungslauf im Status 'draft' mit ausgewählten Rechnungen. Alle Kreditoren müssen gültige IBANs haben. Jede Rechnung kann nur in einem aktiven Lauf sein.
POST
/v1/payment-runs Authorization
Authorization string header erforderlich API-Key im Format
ll_.... Übergabe als Bearer Token. Request Body
bank_account_id string (UUID) erforderlich Bankkonto für die Zahlung.
execution_date string (YYYY-MM-DD) erforderlich Gewünschtes SEPA-Ausführungsdatum.
invoice_ids array of UUID erforderlich Rechnungs-UUIDs die eingeschlossen werden sollen.
label string optional Optionale Bezeichnung für den Lauf.
Antworten
201
Erfolgreich
400
VENDOR_IBAN_MISSING
409
INVOICE_ALREADY_IN_ACTIVE_RUN
404
INVOICE_NOT_FOUND
404
BANK_ACCOUNT_NOT_FOUND
POST
cURL /v1/payment-runs -cmd">curl --request -method">POST -punct">\
--url 'https://api.ledgerlou.de/v1/payment-runs' -punct">\
--header 'Authorization: Bearer ll_your_key' 201 Response
JSON {
"id": "<string>",
"status": "<string>",
"total_amount": "<string>",
"invoice_count": 1,
"items": []
}